# SendDownloadCompleteInterface Class Reference
[ReplicaManager]

`#include <ReplicaManager.h>`

List of all members.

## Public Member Functions
virtual ReplicaReturnResult | SendDownloadComplete (RakNet::BitStream *outBitStream, RakNetTime currentTime, SystemAddress senderId, ReplicaManager *caller)=0

## Detailed Description

An interface for a class that handles the call to send the download complete notification See ReplicaManager::SetDownloadCompleteCB

## Member Function Documentation

virtual ReplicaReturnResult SendDownloadCompleteInterface::SendDownloadComplete | ( | RakNet::BitStream * | outBitStream,
|  | RakNetTime | currentTime,
|  | SystemAddress | senderId,
|  | ReplicaManager * | caller |
| ) |  |  | `[pure virtual]`

Parameters:

  `[out]` | outBitStream | Write whatever you want to this bitstream. It will arrive in the receiveDownloadCompleteCB callback.
  `[in]` | currentTime | The current time that would be returned by RakNet::GetTime(). That's a slow call I do already, so you can use the parameter instead of having to call it yourself.
  `[in]` | senderId | Who we are sending to
  `[in]` | caller | Which instance of ReplicaManager is calling this interface

Returns:
  See ReplicaReturnResult

The documentation for this class was generated from the following file:

- d:/RakNet-3.x/Source/ReplicaManager.h